package com.zehong.system.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 工单反馈信息对象 t_order_feedback
 * 
 * @author zehong
 * @date 2021-07-19
 */
public class OrderFeedbackVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 工单反馈id */
    private Integer feedbackId;

    /** 工单id */
    private String orderId;

    /** 设备id */
    private Integer deviceId;

    /** 设备名称 */
    private String deviceName;

    /** 设备类型 */
    private String deviceType;

    /** 反馈内容 */
    private String contents;

    /** 反馈时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date feedbackTime;

    /** 是否存在隐患（1是，2否） */
    private String isHiddenDanger;

    /** 处理状态（1不需处理，2已处理完成，3未处理完成） */
    private String dealStatus;

    /** 图片地址1 */
    private String pictureUrl1;

    /** 图片地址2 */
    private String pictureUrl2;

    /** 图片地址3 */
    private String pictureUrl3;

    public void setFeedbackId(Integer feedbackId)
    {
        this.feedbackId = feedbackId;
    }

    public Integer getFeedbackId()
    {
        return feedbackId;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setDeviceId(Integer deviceId)
    {
        this.deviceId = deviceId;
    }

    public Integer getDeviceId()
    {
        return deviceId;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public void setContents(String contents)
    {
        this.contents = contents;
    }

    public String getContents() 
    {
        return contents;
    }

    public void setFeedbackTime(Date feedbackTime) 
    {
        this.feedbackTime = feedbackTime;
    }

    public Date getFeedbackTime() 
    {
        return feedbackTime;
    }

    public void setIsHiddenDanger(String isHiddenDanger) 
    {
        this.isHiddenDanger = isHiddenDanger;
    }

    public String getIsHiddenDanger() 
    {
        return isHiddenDanger;
    }

    public void setDealStatus(String dealStatus) 
    {
        this.dealStatus = dealStatus;
    }

    public String getDealStatus() 
    {
        return dealStatus;
    }

    public void setPictureUrl1(String pictureUrl1) 
    {
        this.pictureUrl1 = pictureUrl1;
    }

    public String getPictureUrl1() 
    {
        return pictureUrl1;
    }

    public void setPictureUrl2(String pictureUrl2) 
    {
        this.pictureUrl2 = pictureUrl2;
    }

    public String getPictureUrl2() 
    {
        return pictureUrl2;
    }

    public void setPictureUrl3(String pictureUrl3) 
    {
        this.pictureUrl3 = pictureUrl3;
    }

    public String getPictureUrl3() 
    {
        return pictureUrl3;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedbackId", getFeedbackId())
            .append("orderId", getOrderId())
            .append("deviceId", getDeviceId())
            .append("contents", getContents())
            .append("feedbackTime", getFeedbackTime())
            .append("isHiddenDanger", getIsHiddenDanger())
            .append("dealStatus", getDealStatus())
            .append("pictureUrl1", getPictureUrl1())
            .append("pictureUrl2", getPictureUrl2())
            .append("pictureUrl3", getPictureUrl3())
            .toString();
    }
}
